Hi,

In message "./configure problem"
    on 04/01/28, William Sundberg <william / m4trade.com> writes:

|I am running RedHat 9.0 on my laptop Pentium II
|And I have the following problem when I try to install ruby 1.8.1.
|
|./configure
|checking build system type... Invalid configuration
|`i686-pc-linux-oldld': machine `i686-pc-linux' not recognized
|configure: error: /bin/sh ./config.sub i686-pc-linux-oldld failed

Try this patch.

							matz.

--- config.sub	10 Apr 2003 08:37:12 -0000	1.15
+++ config.sub	27 Jan 2004 16:59:45 -0000
@@ -120,3 +120,3 @@ maybe_os=`echo $1 | sed 's/^\(.*\)-\([^-
 case $maybe_os in
-  nto-qnx* | linux-gnu* | freebsd*-gnu* | netbsd*-gnu* | storm-chaos* | os2-emx* | rtmk-nova*)
+  nto-qnx* | linux-* | freebsd*-gnu* | netbsd*-gnu* | storm-chaos* | os2-emx* | rtmk-nova*)
     os=-$maybe_os